﻿@model schoolProgramsCheckInOutReportViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title" style="font-size:20px">
            <div>
                Sign-Out Sheet - Advanced Report
            </div>
            <div>
                {{Model.Date}}
            </div>
        </div>
        <div class="actions">
            <a class="icon-btn pdf-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to PDF" ng-click="saveToPdf()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-pdf"></i>
            </a>
            <a class="icon-btn excel-btn" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Export to Excel" ng-click="saveToExcel()" target="_blank">
                <i style="margin-top: 11px;" class="jbi-excel"></i>
            </a>

        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div class="clearfix"></div>
    <div class="row place-left one-half">
        <label>Program</label>
        <div class="span4" data-role="input-control">
            <div class="input-control select" data-role="input">
                <select ng-model="Model.ScheduleIds" multiple chosen
                        ng-options="obj.Value as obj.Text for obj in AllPrograms"></select>
            </div>
        </div>
    </div>
    <div class="row place-left one-half">
        <label class="req-star">Session start date</label>
        <div class="input-control date-time span4" data-role="input-control" @Html.AngValidationClassFor(model => model.DateProgram)>
            <div @Html.AngTooltipValidationFor(model => model.DateProgram)>
                <input kendo-date-picker k-options="MC.datePickerOptions" ng-model="Model.DateProgram" />
            </div>
        </div>
    </div>
    <div class="clearfix"></div>
    <div class="row place-left one-fourth" style="width: 300px !important">
        <label>Sort by</label>
        <div class="input-control select" data-role="input-control">
            <select ng-model="Model.SortBy" ng-options="obj.Value as obj.Title for obj in Model.Sorts"></select>
        </div>
    </div>

    <button type="submit" ng-click="runReport()" class="primary large place-right button" style="margin-top: 25px">Run</button>
    <br />
    <div class="clearfix"></div>
    <hr />


    <div class="structure-divider-large" ng-repeat="item in ModelPrograms">
        <table class="jbt-table-custom structure-without-line structure-divider structure-bright-gray" ng-show="item.ProgramParticipants != null">
            <tr>
                <td class="structure-bold structure-h3 " colspan="2"><span>{{item.ClassName}}</span></td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 "><span>{{item.SchoolName}}</span></td>
            </tr>
            <tr>
                <td>Report date: {{item.ReportDate}}</td>
                <td colspan="4" class="structure-text-right structure-bold structure-h3 ">Check - In/Out Sheet</td>
            </tr>
            <tr>
                <td>&nbsp;</td>
                <td colspan="2" class="structure-text-right structure-bold structure-h3 ">{{item.Date}}</td>
            </tr>
        </table>
        <table class="jbt-table-custom" ng-show="item.ProgramParticipants != null">

            <tr class="structure-gray">
                <th style="min-width:50px;width:50px;">#</th>
                <th style="max-width:200px;width:200px;">Participant</th>
                <th style="max-width:110px;width:110px;">Classroom</th>
                <th style="max-width:90px;width:90px;">Grade</th>
                <th style="width: 90px">Present</th>
                <th style="width: 180px">Signature</th>
                <th style="width: 90px">Time out</th>
            </tr>


            <tr ng-repeat="participant in item.ProgramParticipants">
                <td class="structure-text-center">{{participant.Number}}</td>
                <td class="structure-text-center">
                    <p>{{participant.ParticipantName}}</p>
                </td>
                <td class="structure-text-center">
                    <p>{{participant.Classroom}}</p>
                </td>
                <td class="structure-text-center">
                    <p>{{participant.Grade}}</p>
                </td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
                <td class="structure-text-center" style="height: 50px">&nbsp;</td>
            </tr>
        </table>
        
    </div>

    <div class="clearfix"></div>

</div>
